summaryrefslogtreecommitdiff
path: root/package/collectd/files/collectd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/collectd/files/collectd.init')
-rw-r--r--package/collectd/files/collectd.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/collectd/files/collectd.init b/package/collectd/files/collectd.init
new file mode 100644
index 000000000..7d4f70b59
--- /dev/null
+++ b/package/collectd/files/collectd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#FWINIT 75
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${collectd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ [ -d /var/lib/collectd ] || mkdir -p /var/lib/collectd
+ collectd
+ ;;
+stop)
+ killall collectd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?